weatherget(1)

NAME
weatherget - A command line based weather reporting tool.

SYNOPSIS
weatherget [station identification] [units]

DESCRIPTION
weatherget is a command line operated weather reporting tool which has the ability to report current day conditions as well as an extended day forecast. A wide range of data is grabbed from weather.com anywhere from global position to barometric pressure to UV index. Output format can be customized through an easy configuration file located in ~/.weathergetrc on posix systems or HOMEDRIVE\HOMEPATH\weathergetrc in non-posix (Windows) systems. Extended day forecasts are available up to ten days as per weather.com.

STATION IDENTIFICATION
This will be used in the form of an identification number or city name, state/country. Use options -s, --station-id= and -c, --station-city= respectively to define these values. PLEASE NOTE: excessive use of --station-city= can cause weather.com's server to reject your requests as it must look up your city to a station identification number each time invoked. To avoid this, use -l, --lookup= once to obtain the station identification for your area.

UNITS
You must specify the units of measure. Define this with options -S, --standard or -m, --metric.

OPTIONS

-s "ID", --station-id="ID"
    Set this equal to your station identification number. Use -l, --lookup to obtain one. U.S.A. users may use their zip code.

-l "CITY", --lookup="CITY"
    Set this equal to your city to obtain a list of all matching station identification numbers.

Example:
    weatherget --lookup=Wilmington

     Wilmington, CA: USCA1245
     Wilmington, DE: USDE0055
     Wilmington, IL: USIL1271
     Wilmington, MA: USMA0493
     Wilmington, NY: USNY1606
     Wilmington, NC: USNC0760
     Wilmington, OH: USOH1057
     Wilmington, VT: USVT0290

-c "CITY", --station-city="CITY"
    Optionally, you may use your city name, state/country instead of a station identification number. REDUNDANT DISCLAIMER: excessive use of --station-city= can cause weather.com's server to reject your requests as it must look up and translate your city to a station identification each time invoked. To avoid this, use -l, --lookup= once to obtain the station identification for your area.

-S, --standard
    Use the standard system of units (USCS).

-m, --metric
    Use the metric system of units (SI).

-e "NUMDAYS", --extended-day="NUMDAYS"
    Get an extended day forecast. Using 1 will give the current day's forecast. Up to 10 are available as per weather.com. This is not a required option.

-f "FILE", --config="FILE"
    Use an alternate configuration file.

-k, --term-keys
    Print all available term_code() keys to stdout. When used in combination with your print statements in weathergetrc, you may manipulate text behaviour. See "TERMINAL COLORS" section for more information.

CONFIGURATION FILE
A configuration file will be found in ~/.weathergetrc in posix systems or HOMEDRIVE\HOMEPATH\weathergetrc in non-posix (Windows) systems. Here you can customize the output to fit your needs. This will be in python syntax so be sure to preserve the indentations under the main function header. If not, you WILL experience tracebacks. You may specify a different configuration file using -f, --config=. This may be useful when used in conjunction with programs like conky or torsmo.

TERMINAL COLORS
This functionality is not supported on Windows machines and untested on Unix!

For manipulating output to the terminal (xterm and the like for best results) such as colored text, highlighting, bold, underline, etc., use term_code('<KEY_NAME>') in your print statements in weathergetrc. These keys are nothing more than an alias to the proper terminal codes to be given to the terminal. To get a current list of all keys run weatherget --term-keys. Terminal keys need to be passed as a string enclosed in quotes preceding your desired text. For more than one key, seperate each with a comma. Remember to close off your statement with the 'default' key to reset your terminal back to normal. For example, to print the text 'hello world' in blue, underlined, bold and flashing your print statement would be:

print term_code('fg_blue', 'underline', 'bold', 'blink')+'hello world'+term_code('default')

EXAMPLES OF USE

current conditions displayed using standard units:
    weatherget --station-id=USNC0760 --standard

current conditions and extended two day forecast displayed using metric units:
    weatherget --station-id=USNC0760 --extended-day=2 --metric

AUTHORS
Tyler Gates <TGates81@gmail.com>